<?php
/**
 * PHP version 5
 *
 * Copyright © 2014 Daniel Laperdrix
 *
 * This file is part of Galette (http://galette.tuxfamily.org).
 *
 * Plugin test is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Galette. If not, see <http://www.gnu.org/licenses/>.
 *
 * @category  Plugins
 * @package   test
 * 
 * @author    Daniel Laperdrix
 * @copyright 2014 Daniel Laperdrix
 * @license   http://www.gnu.org/licenses/gpl-3.0.html GPL License 3.0 or (at your option) any later version
 * @version  
 * @link      http://galette.tuxfamily.org
 * @since     Available since 0.78
 */

class test_pdf extends Galette\IO\Pdf {  

	public function NoDebordText($text,$larg) {	
	  $n=strlen($text) ;
	   
		 do {
			 $textlign = mb_substr($text, 0, $n,"UTF-8");			 
			 $n--;			     
		 } while ( $this->GetStringWidth($textlign) > $larg );
		 return array($textlign,mb_substr($text, $n+1, mb_strlen($text),"UTF-8"));
	}
}
?>
